//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
using System;
using System.Net;
using System.Text;
using System.IO;

public class WebBuffer
{
	public static void Main(string[] args) 
	{
		try
		{
			string address = "http://www.microsoft.com";
			if(args.Length == 1)
				address = args[0];

			WebClient wc = new WebClient();

			Stream stream = wc.OpenRead(address);

			StreamReader reader = new StreamReader(wc.OpenRead(address), Encoding.ASCII);
			Console.WriteLine(reader.ReadToEnd());
			stream.Close();
		}
		catch(Exception ex)
		{
			Console.WriteLine(ex.ToString());
		}		
	}
}
